$regfile = "attiny45.dat"
$crystal = 8000000
$hwstack = 32                                               ' default use 32 for the hardware stack
$swstack = 10                                               ' default use 10 for the SW stack
$framesize = 40


'0 = Input, 1 = Output
'Set port B pins as output except pins 2 & 3 for input buttons
Ddrb = &B10011
'Output Ports 0 = low, 1 = high
'Input Ports Internl Pullups 0 = off, 1 = on
'Set output ports low and turn on internal pull-ups for input buttons on pins 2 & 3
Portb = &B01100


'Alias PINS for inputs
Button1 Alias Pinb.2
Button2 Alias Pinb.3

'Alias ports for Output
Strobe1 Alias Portb.0
Strobe2 Alias Portb.1
Buzzer Alias Portb.4

Const True = 1
Const False = 0
Const Pressed = 0

'Initialize flag for game status
Dim Player1_won As Bit
Player1_won = False
Dim Player2_won As Bit
Player2_won = False

Do
   If Player1_won = False And Player2_won = False Then
      If Button1 = Pressed Then
         'Player 1 Wins
          Player1_won = True
          Buzzer = True
          Strobe1 = True
          Wait 1
      Elseif Button2 = Pressed Then
          'Player 2 Wins
          Player2_won = True
          Buzzer = True
          Strobe2 = True
          Wait 1
      End If
   Else
      'Wait for winning player to release button before reinitializing
      If Player1_won = True And Button1 <> Pressed Then
         Gosub Reinitialize
      End If
      If Player2_won = True And Button2 <> Pressed Then
         Gosub Reinitialize
      End If
   End If
Loop
End


Reinitialize:
   'Turn off buzzer and finalize game
   Buzzer = False
   Wait 30
   'Reset game
   Strobe1 = False
   Strobe2 = False
   Player1_won = False
   Player2_won = False
Return